## stacer 1.1.0

=== debian/changelog ===
stacer (1.1.0-3~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 20 Jul 2020 09:48:15 -0700

stacer (1.1.0-3) unstable; urgency=medium

  * Add Vcs fields.
  * Bump standards version to 4.5.0.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 04 Feb 2020 12:26:34 +0100

stacer (1.1.0-2) unstable; urgency=medium

  * Source only upload for testing migration.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 13 Jan 2020 08:33:37 +0100

stacer (1.1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #946248)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 06 Dec 2019 08:03:45 +0100
