=== debian/control ===
Source: stacer
Section: utils
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: cmake,
               debhelper (>= 11),
               fonts-inter,
               libqt5charts5-dev,
               libqt5svg5-dev,
               qttools5-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/myczko-guest/stacer
Vcs-Git: https://salsa.debian.org/myczko-guest/stacer.git
Homepage: https://github.com/oguzhaninan/Stacer/

Package: stacer
Architecture: any
Depends: fonts-inter, ${misc:Depends}, ${shlibs:Depends}
Description: Linux system optimizer and monitor
 Monitor your system (CPU, memory, disk) in a Qt 5 graphical application.
 Change and monitor your services. Summarizes basic system information and
 can show network download/upload speeds/totals.
