## stacer 1.1.0+ds

=== debian/changelog ===
stacer (1.1.0+ds-1) unstable; urgency=medium

  * d/control:
    - switch b-d fonts-inter to fonts-league-spartan.
    - added Rules-Requires-Root.
  * Bump debhelper version to 13, drop d/compat.
  * d/upstream/metadata: added.
  * d/copyright: update year.
  * d/watch: add filemangle.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 01 Feb 2021 12:07:31 +0100
