=== debian/control ===
Source: stacer
Section: utils
Priority: optional
Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper-compat (= 13), cmake, libqt5charts5-dev, libqt5svg5-dev, qttools5-dev, fonts-league-spartan
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/myczko-guest/stacer
Vcs-Git: https://salsa.debian.org/myczko-guest/stacer.git
Homepage: https://github.com/oguzhaninan/Stacer/

Package: stacer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fonts-league-spartan
Description: Linux system optimizer and monitoring
 Monitor your system (CPU, memory, disk) in a graphical application (qt).
 Change and monitor your services. Summarizes basic system information and
 can show network download/upload speeds/totals.
