=== debian/changelog ===
stacer (1.5.0+ds-1) unstable; urgency=medium

  * New upstream version, reintroduce. (Closes: #1121302)
  * d/copyright: updated, bump years.
  * d/control:
    - update maintainer address.
    - drop Rules-Requires-Root.
  * Bump standards version to 4.7.2.
  * d/README.source: updated.
  * d/rules: updated.
  * d/clean: added.
  * d/install: updated.

 -- Alex Myczko <tar@debian.org>  Sun, 07 Dec 2025 23:02:05 +0000

stacer (1.1.0+ds-2) unstable; urgency=medium

  * Update maintainer address.
  * Fix d/install: support GNU/Hurd.
  * d/control: update Vcs field.
  * d/copyright: bump year.
  * Bump standards version to 4.6.0.

 -- Gürkan Myczko <tar@debian.org>  Sun, 24 Apr 2022 21:15:45 +0200
