=== debian/control ===
Source: stacer
Section: utils
Priority: optional
Maintainer: Alex Myczko <tar@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 qt6-base-dev,
 qt6-tools-dev,
 qt6-tools-dev-tools,
 qt6-l10n-tools,
 libqt6opengl6-dev,
 libqt6charts6-dev,
 libqt6svg6-dev,
 qt6-wayland-dev,
 libglx-dev,
 libgl-dev,
 libxkbcommon-dev,
 fonts-league-spartan,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/tar/stacer
Vcs-Git: https://salsa.debian.org/tar/stacer.git
Homepage: https://stacer.quentium.fr/

Package: stacer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fonts-league-spartan
Description: Linux system optimizer and monitoring
 Monitor your system (CPU, memory, disk) in a graphical application (qt).
 Change and monitor your services. Summarizes basic system information and
 can show network download/upload speeds/totals.
