=== debian/changelog ===
stacer (1.6.2+ds-2) unstable; urgency=medium

  * Fix license in desktop/stacer.metainfo.xml.in.

 -- Alex Myczko <tar@debian.org>  Mon, 09 Feb 2026 14:33:51 +0100

stacer (1.6.2+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/README.source: updated.
  * d/copyright: bump years.
  * d/watch: update to version 5.
  * d/control: move Vcs from personal to debian.

 -- Alex Myczko <tar@debian.org>  Sun, 08 Feb 2026 17:47:05 +0100
