=== debian/control ===
--- 
+++ 
@@ -18,8 +18,8 @@
  libxkbcommon-dev,
  fonts-league-spartan,
 Standards-Version: 4.7.2
-Vcs-Browser: https://salsa.debian.org/tar/stacer
-Vcs-Git: https://salsa.debian.org/tar/stacer.git
+Vcs-Browser: https://salsa.debian.org/debian/stacer
+Vcs-Git: https://salsa.debian.org/debian/stacer.git
 Homepage: https://stacer.quentium.fr/
 
 Package: stacer
