=== debian/watch ===
Version: 5

# GitHub hosted projects
Template: Github
Dversionmangle: s/\+ds$//
Owner: oguzhaninan
Project: Stacer
Repacksuffix: +ds
